<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; <?php _e('Blog Archiv','dkret'); ?> <?php } ?> <?php wp_title(); ?></title>

	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />

	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/print.css" type="text/css" media="print" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="SHORTCUT ICON" href="<?php bloginfo('template_directory'); ?>/images/favicon.ico" />

<?php wp_head(); 

$headerImageURL = get_settings( 'dkret_headerImageURL' );
	
if ( $headerImageURL != "" ) {
  echo "<style type=\"text/css\">
	#header {
			background:url( $headerImageURL ) #fff;
	}
  </style>";
} ?>

<!-- baustelle
<?php if( bm_getProperty( 'markExternalLinks' ) == 1 ) { ?>	

    <style type="text/css">
    #content a[href^="http://"] {
      background: url(<?php bloginfo('template_directory') ?>/images/bullet_go.gif) no-repeat center right;
      padding-right: 15px;
    }
  
    #content a[href^="<?php bloginfo('url') ?>"], .noexternlink {
      background: transparent!important;
      padding-right: 0;
    }


    </style>

  <?php } ?>
-->

</head>

<?php

	// body tag

	// set default
	$headerImage = get_settings( 'dkret_headerImage' );
	
	if ( $headerImage == "" ) {
		$headerImage = "1";
	}
	
	if ( $headerImageURL == "" ) {
		$classExtra = "hid_$headerImage";
	}
	
	echo "<body class=\"$classExtra\">";

?>

	<!-- container for content and sidebar-->
<div id="container">

	<!-- header -->
	<div id="header">
	<?php if( bm_getProperty( 'heading' ) != 1 ) { ?>
 	<h1 class="titel"><a href="<?php echo get_settings('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
 	<h2 class="titel"><?php bloginfo('description'); ?></h2>
	<?php } ?>
	</div>

  <div id="navigation">
		<a href="<?php bloginfo('rss2_url'); ?>" class="feedicon">RSS</a>
		<ul id="topnavi">
			<li><a href="<?php echo get_settings('home'); ?>"><?php _e('Start','dkret'); ?></a></li>
      <?php // Library link if Now-Reading Plugin is installed
      if (function_exists('library_url')) { ?>
			 <li><a href="<?php library_url() ?>"><?php _e('My Books','dkret'); ?></a></li>
      <?php	}
			wp_list_pages('sort_column=menu_order&depth=1&title_li='); ?>
		</ul>

    <?php if( bm_getProperty( 'head_subnavi' ) != 1 ) {	
      global $post;
      global $wpdb;
      if (is_page()) {
          $current_page = $post->ID;
          $parent = $wpdb->get_var("SELECT post_parent FROM $wpdb->posts WHERE ID = '$current_page'");
    
          if((wp_list_pages("child_of=".$current_page."&echo=0")) || ($parent != 0)) { ?>
            <ul id="subnavi">
              <div>
                <?php if($parent != 0) { ?>
                  <li><a href="<?php echo get_permalink($parent); ?>" title="<?php _e('back','dkret'); ?>" class="back"><?php _e('&laquo;','dkret'); ?></a></li>
                <?php }
                  wp_list_pages("sort_column=menu_order&title_li=&depth=1&child_of=".$current_page); ?>
              </div>
            </ul>
          <?php }
      }
    } ?>
		
  </div>
<!--header end-->
